import { defineConfig, presetAttributify, presetIcons, presetUno } from 'unocss'
import { presetExtra } from 'unocss-preset-extra'

export default defineConfig({
    shortcuts: {
        'hc-flex': 'relative flex items-center',
        'hc-flex-inline': 'relative inline-flex items-center',
        'hc-flex-center': 'hc-flex justify-center',
        'hc-flex-inline-center': 'hc-flex-inline justify-center',
    },
    presets: [
        presetUno(),
        presetIcons(),
        presetAttributify({
            prefix: 'hc-', //属性冲突的自定义前缀
            prefixedOnly: true, //强制使用前缀
        }),
        //其它扩展，主要用动画，集成了 animate.css
        presetExtra(),
    ],
})
